Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.build
Class MemBuilder

    java.lang.Object
      org.basex.core.Progress
          org.basex.build.Builder
              org.basex.build.MemBuilder

    public final class MemBuilder

extends Builder

This class creates a memory based database instance.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Constructor Summary
`MemBuilder()`

Method Summary
`void` | `addNode(int tag, int par, byte[][] atr, int[] attRef, int type)` Adds a complex node to the database.
`void` | `close()` Closes open references.
`MemData` | `finish()` Finishes the build process and returns a database instance.
`MemBuilder` | `init(java.lang.String db)` Initializes the table construction.

Methods inherited from class org.basex.build.Builder
`build, comment, det, emptyNode, encoding, endNode, head, nodeAndText, pi, prog, startNode, state, text`

Methods inherited from class org.basex.core.Progress
`detail, header, progress, progress, stop, stopped`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemBuilder

    public MemBuilder()

Method Detail

### addNode

    public void addNode(int tag,
                        int par,
                        byte[][] atr,
                        int[] attRef,
                        int type)

  Description copied from class: `Builder`
  Adds a complex node to the database.

  Parameters:
    `tag` - the token to be added (tag name or content)
    `par` - relative parent value (distance)
    `atr` - optional attribute tokens
    `attRef` - numeric attribute references
    `type` - node type

### close

    public void close()

  Description copied from class: `Builder`
  Closes open references.

  Specified by:
    `close` in class `Builder`

### finish

    public MemData finish()

  Description copied from class: `Builder`
  Finishes the build process and returns a database instance.

  Returns:
    data database instance

### init

    public MemBuilder init(java.lang.String db)

  Description copied from class: `Builder`
  Initializes the table construction.

  Parameters:
    `db` - name of database
  Returns:
    builder instance

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD